## org.codehaus.groovy.classgen
Class MethodCallerMultiAdapter

Field Summary
`int` | `MAX_ARGS`
`def` | `methods`
`boolean` | `skipSpreadSafeAndSafe`

Constructor Summary
`MethodCallerMultiAdapter()`

Method Summary
`void` | `call(MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)`
`static MethodCallerMultiAdapter` | `newStatic(Class theClass, String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)`
`int` | `numberOfBaseMethods()`

Constructor Detail

### MethodCallerMultiAdapter

    MethodCallerMultiAdapter()

Method Detail

### call

    public void call(MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)

  param:
    methodVisitor
  param:
    numberOfArguments a value >0 describing how many arguments are additionally used for the method call
  param:
    safe
  param:
    spreadSafe

### newStatic

    public static MethodCallerMultiAdapter newStatic(Class theClass, String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)

### numberOfBaseMethods

    int numberOfBaseMethods()